.nolist
#define EQU .equ 
#include "ti83asm.inc"
#include "tokens.inc"
#define xcoord	8270h
#define ycoord	8272h
#define oldxcoord	8274h
#define oldycoord	8276h
#define xbomb	8278h
#define ybomb	827Ah
#define xboum	827Ch
#define yboum	827Eh
#define sprite_to_repeat	8280h
#define mort_flag	8282h
#define iaxcoord	8284h
#define iaycoord	8286h
#define iaoldxcoord	8288h
#define iaoldycoord	828Ah
#define ia_key	828Ch

.list

.org 9327h

START:
        ; Turn the indicator to off and clear screen
	call    RINDOFF         ; Turn off runindicator
	
	; mettre des valeurs par defaut dans les coordonnees. Idem pour les bombes
	call	MOVE_INIT
	call	IA_MOVE_INIT
	call	BOMB_INIT_MULT
        call    BUFCLR          ; Clear the graphbuf
loop:	
	ld hl, bg2
	call DRWBGSPR
	call BUFCOPY

	; initialiser le flag mort a 0
	ld	a, 0
	ld	(mort_flag), a
	; afficher des le depart le bonhomme (meme avant un keypress)
	ld	hl, (xcoord)
	ld	a, l
	ld	de, (ycoord)
	ld	hl, bomber
	call	DRWSPR

	call 	BUFCOPY

loop2:	
	call	SCAN_KEY
	call	IA_SCAN_KEY
	ld	a, (mort_flag)
	cp	1
	jp	z, fin_mort
	jp loop2



fin_mort:
	call	BUFCLR
	call	BUFCOPY
	ld	a,20
    	ld	(penrow),a   ;charge la valeur de la ligne de texte sur l'écran
    	ld	a,30
    	ld	(pencol),a   ;charge la valeur de la colone de texte.
    	ld	hl,texte     ;charge l'adresse du texte dans hl
    	call	_vputs       ;appelle la rom call vputs
	call	WAITKEY
	call	GOHOME

	ret

	.end
end

texte:
	.db "perdu",0

; Warning, the include should be at the end !!!!

#include "move.asm"
#include "bomb.asm"
#include "drawspr.asm"
#include "ia.asm"
#include "sprites.asm"
